<div *ngIf="elements.length" class="main-element">
  <div *ngFor="let activeElement of elements" class="m-4">
    <mat-checkbox #parentHtmlElement [(ngModel)]="activeElement.checked" class="example-margin">{{ activeElement.name }}</mat-checkbox>

    <div class="mx-4 my-2" *ngIf="parentHtmlElement.checked && activeElement.hasChildren">
      <app-children-view [elements]="activeElement.children"></app-children-view>
    </div>
  </div>
</div>

